Quassel IRC - Bug #1502

Windows x64 Installer Broken - Access to the path is denied.
11/19/2018 08:54 PM - ggiesen

Status: Closed Start date: 11/19/2018
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.13.0

Version: 0.13.1 0S: Windows
Description

Receive the following error message when trying to install the Windows x64 installer:

You have

Access to the path is denied.

running in C:\Program Files\Quassel IRC.

Select "Yes" to kill the process(es), "No" to retry or "Cancel" to quit.

| have even tried pre-creating the folder before running the installer, as well as running the installer as Administrator (even though it
does properly prompt for UAC when run)

See attached screenshot.

History

#1 - 11/19/2018 08:59 PM - ggiesen

Looks like same issue is happening on x86 as well.

#2 - 01/26/2019 06:08 AM - digitalcircuit
- Version changed from 0.12.4 to 0.13.0
Would you retry with the installers available today?

There was a bug in the packaging that got fixed on Nov. 21st, 2018, which should have been included in updated Quassel installers (though the file
modification dates seem the same, unsure). Relevant commit: https://github.com/KDE/craft/commit/e9e604fed2c86dbacdf6c41ac6eb37f060948d12

If this isn't fixed in 0.13.0, please try a random recent build from https://ci.appveyor.com/project/Quassel/quassel/history , just to see if the installer
works. If it works, great, this will be fixed in the 0.13.1 release coming soon™ (next weeks, probably). If not, we need to look into this!

Details:

The Quassel installer didn't correctly handle the case where Quassel had never been installed. The above linked commit fixes this by not erroring out
if the Quassel directory doesn't exist.

#3 - 06/13/2021 06:26 PM - phuzion
- Status changed from New to Closed

- Version changed from 0.13.0 to 0.13.1

| just tested this with the 0.13.1 installer onto a fresh Windows 10 20H2 machine with no C:\Program Files\Quassel directory and did not experience
this issue.

Closing for now. If you continue to have this issue, please reopen this bug. Thanks for the report!
